+++
title = "Ideas"
template = "ideas.html"
date = "2022-11-01"
updated = "2022-12-13"
extra = { "theme" = "ideas.css" }
+++

<section>

## Computer stuff

### Web

* A page to gather all my personal feeds. I've already got a couple blogs,
  plus my Shaarli, and I could add Gitlab or social media feeds.
  I'm not sure such a list would be truly useful, but it would be nice to have
  it, as I currently lack such an overview.
* Take a look at [IndieWeb](https://indieweb.org/)
* Learn more about [Microformats](https://indieweb.org/microformats)
  ([Microformats](https://microformats.org/wiki/microformats2))
  * `h-card` and `h-entry` have been implemented here.
  * To be implemented on my other static websites
* Learn about [Micropub](https://indieweb.org/Micropub)
* Learn about [Webmention](https://indieweb.org/Webmention)
  * Self-host a Webmention service :
    * [Telegraph](https://github.com/aaronpk/Telegraph)
    * [Webmention Receiver](https://github.com/capjamesg/webmention-receiver)
    * [Webmention.io](https://webmention.io/)
  * Alternatively, [use
    cURL](https://indieweb.org/Webmention-developer#How_to_send_webmentions_with_cURL)
  * Or [Pushl](https://indieweb.org/Pushl)
  * See also [article
    1](https://mxb.dev/blog/using-webmentions-on-static-sites/) or [article
    2](https://gabriellazcano.com/blog/why-you-might-replace-disqus-with-webmentions/). They use Webmention.io (hosted version), which may be enough for now ?
* A
  [/feeds](https://marcus.io/blog/making-rss-more-visible-again-with-slash-feeds)
  page.
* A standard Zola development base for my websites
* [Documentation about
  self-hosting](https://unknown-artist-selfhost.frama.io/selfhost-wiki/)
* A `/uses` page, explaining how this website works (Zola, IndieWeb etc)
* A contact page, to tell people to not be afraid to contact me, and using
  which platform.

### Web design

* A page using <span style="font-family: 'Comic Sans'">Comic Sans</span>.
* A CLI-like page (green on black).
* A page with all kinds of blinkies, 80x15 buttons and the like. I'm already
  collecting some in the footer of this site, but I'd like a page with the
  ones I make and the other cool I find.
  * [Web Badges World](https://web.badges.world/) has some nice stuff.
  * [SH2/Buttons](https://sh2.us/buttons) too
  * Done [here](@/buttons.md)
* Buttons for my various websites

### Miscellaneous

* **Ponysay files** : There are [a lot
  of](https://framagit.org/matthias4217/custom-ponysay/-/issues/?label_name%5B%5D=New%20pony)
  new ponies I would like to add. Unfortunatly, I haven't found the time and
  motivation to do so in a long time.
* **Ponysay development** : [Ponysay](https://github.com/erkin/ponysay) is not
  dead, but not often updated either.
  I'd like to help, but a lack of time, motivation and knowledge in the
  codebase prevent me to do so unfortunately.
* A shell script to get statistics about my `feels` entries :
  * Total number of chars/words/lines
  * Same but per months
* Do some Ocaml stuff : I haven’t done anything with this language for ages,
  despite enjoying it.

</section>

<section>

## Data

* **Large fire numbers**
  Last summer, I've started doing a spreadsheet of burnt area by state, using
  mostly wikipedia as a source.
  I wanted to get some better understanding of the scale of it, and the
  evolution, if I kept tallying the numbers every year.
  However, Wikipedia data is far from being complete, and it took too much of
  my time to collect them.
  I'd need to find some better sources, on which I could do some automation to
  import them in Grafana or a similar thing.

</section>

<section>

## Fiction

* In a Cyberpunk world, there may be technophobic communities living outside the huge cities.
  Although strongly opposed to the invasive technology pushed by megacorporation, they could
  maintain a cast of techno-druids.
  Indeed, they would need to defend themselves against said megacorporations, which would attack
  them to get access to resources.
  Thus having people able to fight them with more advanced technology would be very useful.
  These druids could nevertheless be seen as pariahs, not fully integrated in the anti-technology
  communities, despite their usefulness.

</section>

<section>

## Miniature and Modelism

* A *Munitorum Armoured Container* painted in blue, with a whale logo on it.
  Docker reference !

</section>
