+++
title = "PROJECT SPG"
template = "project-spg.html"
date = "2022-12-01"
updated = "2022-12-03"
+++

<section id="gallery">
<div id="screen">

<div id="screen-content">

## NAME

the name SYNTH3T1C P1CTUR3 G3N3R4T0R embodies the project. manipulating the
image signals, combining filters and other tools, a picture is made.

## CLASSES

* CDP : CURRENT DEVEL0PEMENT PR0JECT - unfinished projects being developed
* ADP : ARCHIVED AND DR0PPED PR0JECT - CDP which have been discontinued
* TSS : TRANSISTOR SEGMENT - The TSS-class contains pixel-art images, multiple
  of 8 for each one of its dimension : 8, 16, 32, 64, 128
* MCS : MIVRO-CONTROLLER SEGMENT - The MCS-class contains small images
* MPS : MICRO-PROCESSOR SEGMENT - The MPS-class contains wallpaper-sized
  images.
* CPS : COMPUTER SEGMENT - Bigger
* SCS : SUPER COMPUTER SEGMENT - Legendary projects, usually many pictures

## SIZES

* Bnm: `2^n` \* `2^m`, for `n` and `m` between 3 and 7 (bounds included)
* SAS: STANDARD AVATAR SIZE, 120 \* 120
* FHD: 1920 \* 1080
* UHD-2: 7680 × 4320

## PROJECTS

### CDP

\*\*\* DO NOT PUBLISH - SECRET LEVEL 1\*\*\*

* `CDP-001` -> went on to become `MPS-001`
* `CDP-002` -> went on to become `TSS-001`

### TSS

* [`TSS-001`](#tss-001) (previously `CDP-002`) - The Pearled Gates

### MCS

* [`MCS-001`](#mcs-001) - Fuzzy Wave
* [`MCS-002`](#mcs-002) - Dark Glitched Sierpinski
* [`MCS-003`](#mcs-003) - Window to the Fire

### MPS

* [`MPS-001`](#mps-001) (previously `CDP-001`) - Purple Depths
* [`MPS-002`](#mps-002) - Sierpinski Whale
* [`MPS-003`](#mps-003) - Cosmic Microwave Background Over Silica Mountains

## Objects

### MCS-001 - Fuzzy Wave {#mcs-001}

![A noisy colourful gradient](/~ydreniv/img/project-spg/[MCS-001]%20Fuzzy%20Wave.png "[MCS-001] Fuzzy Wave")

small rough project.
it may not really count as a full-scale project, but it served as an
inspiration.
using no filter

### MPS-001 - Purple Depths {#mps-001}

![A purple on black fractal, with a lot of noise](/~ydreniv/img/project-spg/[MPS-001]%20Purple%20Depths.png "[MPS-001] Purple Depths")

* Previously known as CDP-001

*two touches of color, two layers, and some nice filters*

The cyberverse is chaotic, and such is this representation.
Things may seem organized from above, but once you dive into the details,
everything is just a random patch of blinking lights.

### MCS-002 - Dark Glitched Sierpinski {#mcs-002}

![A purple fractal triangle on a dark green cloudy background](/~ydreniv/img/project-spg/[MCS-002]%20Dark%20Glitched%20Sierpinski.png "[MCS-002] Dark Glitched Sierpinski")

MCS-002 Dark Glitch Sierpinski is a SAS MCS-class standard, take on the
classical Sierpinski fractal.
Adding a fourth GIMP IFS Sierpinski fractal with the lowest asymmetry
possible, the System was able to create the glitch effects seen on the
SYNTHETIC PICTURE.

### MCS-003 - Window to the Fire {#mcs-003}

![A tesselated red and purple picture](/~ydreniv/img/project-spg/[MCS-003]%20Window%20to%20the%20Fire.png "[MCS-002] Window to the Fire")

Windows to the Fire is a SAS MCS-class SYNTHETIC PICTURE.
Past the first puzzling barrier, the cybernaute can take a glance to the
forges of the craftworlds, where the solder is always burning to produce more
electronic components.

### MPS-002 - Sierpinski Whale {#mps-002}

![A whale made of triangular Sierpinski fractal, floating through space](/~ydreniv/img/project-spg/[MPS-002]%20Sierpinski%20Whale.png "[MPS-002] Sierpinski Whale")

Sierpinski Whale is a FHD-sized MPS-class SYNTHETIC PICTURE.
After stepping into the quantum sea, cybernauts are often amazed by the size,
magnificence and tranquility of the Sierpinski Whales.
These mathematic curiosities are only studied from an outside perspective, as
none of the adventurers who dared go into their depths have returned, for the
triangular pattern continue to go deeper and deeper forever.

### MPS-003 - Cosmic Microwave Background Over Silica Mountains {#mps-003}

![A noisy colourful gradient](/~ydreniv/img/project-spg/[MPS-003]%20Cosmic%20Microwave%20Background%20Over%20Silica%20Mountains.png "[MPS-003] Cosmic Microwave Background Over Silica Mountains")

Cosmic Microwave Background Over Silica Mountains is a FHD-sized MPS-class
SYNTHETIC PICTURE.
Sometimes, the sky over the cyberspace is not filled with cables, myriads of
dashing electrons or glowing hot processors.
When it's open, the cybernauts may see a glimpse of the rest of the universe.
Please be aware that the contrast between the depths of the void and the
sharpness of the silica piles may put a strain on your vision.

### TSS-001 - The Pearled Gates {#tss-001}

```
### REDACTED ###
```

</div>
</div>
<p id="brand">SUPER ELECTRIC 3900</p>
</section>


